<!-- title: Lizenzen -->

# Lizenzen

Die Lizenz von Prüfungsplaner finden Sie in der Datei [`LICENSE`](../LICENSE).
Prüfungsplaner benutzt die folgenden anderen Bibliotheken, Tools, etc.. Hier ist
nur eine Übersicht zu finden. Die Lizenzen selbst sind in einzelnen Dateien
jeweils mit dem Namen der Abhängigkeit zu finden.


## Haskell Pakete

Prüfungsplaner benutzt direkt folgende Haskell-Pakete. Weitere Pakete werden
indirekt von diesen benutzt.

| Name | Version | Copyright | Link | Lizenztyp |
|------|---------|---|------|-----------|
| [aeson](aeson.txt) | 2.0.3.0 | (c) 2011-2016 Bryan O'Sullivan (c) 2011 MailRank, Inc. | https://github.com/haskell/aeson | BSD-3-Clause |
| [async](async.txt) | 2.2.4 | (c) Simon Marlow 2012 | https://github.com/simonmar/async | BSD-3-Clause |
| [base](base.txt) | 4.15.1.0 | | https://gitlab.haskell.org/ghc/ghc.git (libraries/base) | BSD-3-Clause |
| [binary](binary.txt) | 0.8.8.0 | | https://github.com/kolmodin/binary | BSD-3-Clause |
| [cassava](cassava.txt) | 0.5.2.0 | (c) 2012 Johan Tibell (c) 2012 Bryan O'Sullivan (c) 2011 MailRank, Inc. | https://github.com/haskell-hvr/cassava | BSD-3-Clause |
| [clock](clock.txt) | 0.8.3 | (c) Cetin Sert 2009-2016, Eugene Kirpichov 2010, Finn Espen Gundersen 2013, Gerolf Seitz 2013, Mathieu Boespflug 2014 2015, Chris Done 2015, Dimitri Sabadie 2015, Christian Burger 2015, Mario Longobardi 2016, Alexander Vershilov 2021. | https://github.com/corsis/clock | BSD-3-Clause |
| [containers](containers.txt) | 0.6.4.1 | | http://github.com/haskell/containers.git | BSD-3-Clause |
| [enummapset](enummapset.txt) | 0.6.0.3 | | https://github.com/Mikolaj/enummapset.git| BSD-3-Clause |
| [exceptions](exceptions.txt) | 0.10.4 | (c) 2013-2015 Edward A. Kmett Copyright (C) 2012 Google Inc. | http://github.com/ekmett/exceptions/ | BSD-3-Clause |
| [file-embed](file-embed.txt) | 0.0.15.0 | | https://github.com/snoyberg/file-embed  | BSD-2-Clause |
| [gi-gdk](gi-gdk.txt) | 3.0.25 | | https://github.com/haskell-gi/haskell-gi  | LGPL-2.1-only + static linking |
| [gi-glib](gi-glib.txt) | 2.0.26 | | https://github.com/haskell-gi/haskell-gi | LGPL-2.1-only + static linking |
| [gi-gtk](gi-gtk.txt) | 3.0.38 | | https://github.com/haskell-gi/haskell-gi | LGPL-2.1-only + static linking |
| [gi-gtksource](gi-gtksource.txt) | 3.0.25 | | https://github.com/haskell-gi/haskell-gi | LGPL-2.1-only + static linking |
| [githash](githash.txt) | 0.1.6.2 | | https://github.com/snoyberg/githash | BSD-3-Clause |
| [haskell-gi-base](haskell-gi-base.txt) | 0.26.0 | | https://github.com/haskell-gi/haskell-gi | LGPL-2.1-only + static linking |
| [lens](lens.txt) | 5.0.1 | (c) 2012-2016 Edward A. Kmett | http://github.com/ekmett/lens/  | BSD-2-Clause |
| [lucid](lucid.txt) | 2.11.0 | (c) 2014-2021 Chris Done | https://github.com/chrisdone/lucid  | BSD-3-Clause |
| [microlens-th](microlens.txt) | 0.4.3.10 | | http://github.com/monadfix/microlens | BSD-3-Clause |
| [mtl](mtl.txt) | 2.2.2 | | http://github.com/haskell/mtl  | BSD-3-Clause |
| [mwc-random](mwc-random.txt) | 0.15.0.2 | (c) 2009, 2010, 2011 Bryan O'Sullivan | https://github.com/bos/mwc-random | BSD-3-Clause |
| [open-browser](open-browser.txt) | 0.2.1.0 | | https://github.com/rightfold/open-browser | BSD-3-Clause |
| [optparse-simple](optparse-simple.txt) | 0.1.1.4 | (c) 2015-2017 FP Complete | https://github.com/fpco/optparse-simple | BSD-3-Clause |
| [pqueue](pqueue.txt)  | 1.4.1.4 | | https://github.com/lspitzner/pqueue | BSD-3-Clause |
| [rio](rio.txt) | 0.1.21.0 | (c) 2018 Michael Snoyman | https://github.com/commercialhaskell/rio | MIT |
| [stm](stm.txt) | 2.5.0.0 | | https://wiki.haskell.org/Software_transactional_memory  | BSD-3-Clause |
| [template-haskell](template-haskell.txt) | 2.17.0.0 | | https://gitlab.haskell.org/ghc/ghc (libraries/template-haskell) | BSD-3-Clause |
| [temporary](temporary.txt) | 1.3 | | https://github.com/feuerbach/temporary | BSD-3-Clause |
| [text](text.txt) | 1.2.5.0 | 2009-2011 Bryan O'Sullivan, 2008-2009 Tom Harper | https://github.com/haskell/text  | BSD-2-Clause |
| [text-metrics](text-metrics.txt) | 0.3.2 | | https://github.com/mrkkrp/text-metrics | BSD-3-Clause |
| [transformers](transformers.txt) | 0.5.6.2 | | https://hub.darcs.net/ross/transformers | BSD-3-Clause |
| [vector](vector.txt) | 0.12.3.1 | (c) Roman Leshchinskiy 2008-2012 | https://github.com/haskell/vector | BSD-3-Clause |
| [yaml](yaml.txt) | 0.11.8.0 | | https://github.com/snoyberg/yaml | BSD-3-Clause |
| [zlib](zlib.txt) | 0.6.2.3 | (c) 2006-2016 Duncan Coutts | https://github.com/haskell/zlib | BSD-3-Clause |

## GTK

Die grafische Oberfläche von Prüfungsplaner benutzt Gtk+3 (siehe https://www.gtk.org/), welches unter GNU Lesser General Public License, Version 2.1 (siehe [gtk.txt]) oder später lizensiert wird.


## Windows Installer

Der Windows Installer wurde mit NSIS: Nullsoft Scriptable Install System erstellt.